Note
API endpoints:
PUT {your_Odoo_server_url}/restapi/1.0/webhooks/{id}?vals={fields_and_values_to_update} (Update a single webhook by its id)
PUT {your_Odoo_server_url}/restapi/1.0/webhooks?ids={comma_separated_ids}&vals={fields_and_values_to_update} (Update a list of webhooks of particular ids)
Query Parameters:
vals
fields to update and the value to set on them:: {'field_name': field_value, ...} see write()arrow-up-right for details.
{'field_name': field_value, ...}
Request Headers
Acceptarrow-up-right – the response content type depends on header
Authorizationarrow-up-right – The OAuth protocol parameters to authenticate.
Response Headers
Content-Typearrow-up-right – this depends on header of request
Status Codes
200 OKarrow-up-right – no error
404 Not Foundarrow-up-right – there’s no resource
401 Unauthorizedarrow-up-right – authentication failed
403 Forbiddenarrow-up-right – if any error raise
Last updated 2 years ago